TVG-SVG2PNG(1)

NAME
tvg-svg2png - convert SVG files to PNG images

SYNOPSIS
tvg-svg2png [SVG-file ...] [SVG-folder] [-r resolution] [-b bgColor]

DESCRIPTION
tvg-svg2png converts SVG (Scalable Vector Graphics) files to PNG raster images using the ThorVG rendering engine.

When given a directory, it recursively processes all .svg files found within.

In the case where the width and height in the SVG file determine the size of the image in resolution higher than 8K (7680 x 4320), limiting the resolution to this value is enforced while preserving the aspect ratio.

OPTIONS

-r WIDTHxHEIGHT
    Set the output image resolution in pixels (e.g., -r 200x200). If not specified, the SVG's intrinsic dimensions are used.

-b HEXCOLOR
    Set the output image background color as a hexadecimal value without the ‘#’ prefix (e.g., -b ff00ff for magenta). Defaults to ffffff (white).

EXAMPLES
Convert a single SVG file:

    $ tvg-svg2png input.svg

Convert with a specific resolution and background color:

    $ tvg-svg2png input.svg -r 200x200 -b ff00ff

Convert multiple SVG files:

    $ tvg-svg2png input1.svg input2.svg -r 200x200 -b ff00ff

Convert all SVG files in the current directory:

    $ tvg-svg2png. -r 200x200

SEE ALSO
tvg-lottie2gif(1)

AUTHORS
ThorVG project <https://www.thorvg.org>

This manual was created by Jongmin Kim <jmkim@debian.org> for the Debian project (but may be used by others).